Skip to main content
POST
/
projects
/
{name}
/
update
Update Project
curl --request POST \
  --url https://api.advancedwebranking.com/v3/projects/{name}/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keywords": [
    {
      "name": "my first keyword"
    },
    {
      "name": "my second keyword"
    }
  ],
  "websites": [
    {
      "name": "mydomain.com",
      "aliases": "*.mydomain.com",
      "index": 1,
      "color_r": 0,
      "color_g": 0,
      "color_b": 255,
      "pages": []
    }
  ],
  "addSearchengines": [
    {
      "name": "google",
      "country": "US",
      "location": "San Francisco, CA",
      "language": "en",
      "se_type": "desktop universal"
    }
  ],
  "removeSearchengines": [
    {
      "awr_id": 123
    }
  ]
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required

Body

application/json

Project configuration for updating an existing AWR project

keywords
object[]
required

List of keywords to track

websites
object[]
required

List of websites to track

addSearchengines
object[]

List of search engines to add to the project.

removeSearchengines
object[]

List of search engines to remove from the project.

Response

200

Project updated successfully